unit EditorDefs;

interface

uses Graphics, Classes;

const
   clAssembly = $0091D0;
   clComment = $E855E8;
   clCharacter = $E8B08E;
   clKeyword = $ADE3FF;
   clNumber = $7777FF;
   clString = $80D888;
   clBackground = $333333;

   hcAssembly = 0;
   hcChar = 1;
   hcComment = 2;
   hcDirective = 3;
   hcFloat = 4;
   hcHex = 5;
   hcIdentifier = 6;
   hcKeyword = 7;
   hcNumber = 8;
   hcString = 9;
   hcSymbol = 10;
   hcSpace = 11;

type
//   TEditorColors =  array [0..11] of TColor;
   TAvrOptions = (aoSmallStructures, aoStructuresFirst256, aoSmallStack,
                  aoMultiply, aoCallAndJump, ao8KRom, aoSwapBytes, aoNoConst);

   TDebugOptions  = (doSourceInAsm, doSymbolFile, doCoffFile, doObjFile);

   TEditorAction = (eaNewFile, eaLoadFile);

   TFileData = record
      Filename:   string;
      LinePos:    integer;
      end;

var
//   EditorColors:  TEditorColors;
   BackgroundColor: TColor;
   AvrOptions:  set of TAvrOptions;
   DebugOptions: set of TDebugOptions;
   EditorFont:  TFont;
   PgmIniFilename:  string;

implementation

end.
